## org.apache.http.message
Class BasicNameValuePair

    java.lang.Object
      org.apache.http.message.BasicNameValuePair

All Implemented Interfaces:
  Serializable, Cloneable, NameValuePair

    @Immutable
    public class BasicNameValuePair

extends Object
implements NameValuePair, Cloneable, Serializable

Basic implementation of `NameValuePair`.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`BasicNameValuePair(String name, String value)` Default Constructor taking a name and a value.

Method Summary
`Object` `clone()`
`boolean` `equals(Object object)`
`String` `getName()`
`String` `getValue()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicNameValuePair

    public BasicNameValuePair(String name,
                              String value)

  Default Constructor taking a name and a value. The value may be null.

  Parameters:
    `name` - The name.
    `value` - The value.

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `NameValuePair`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `NameValuePair`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.